unit Ufg110;
{Pantalla principal del generador de funciones}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, MPlayer,unitgen, StdCtrls, ExtCtrls, SensMap, Menus;

type
  TFormfg110 = class(TForm)
    MediaPlayerfg: TMediaPlayer;
    Image1: TImage;
    Image2: TImage;
    MainMenu1: TMainMenu;
    Opciones1: TMenuItem;
    Panelfrontal1: TMenuItem;
    Ayuda1: TMenuItem;
    Ayuda2: TMenuItem;
    Cuestiones1: TMenuItem;
    N1: TMenuItem;
    Volver1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Volver1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Panelfrontal1Click(Sender: TObject);
    procedure Cuestiones1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formfg110: TFormfg110;

implementation

{$R *.DFM}

procedure TFormfg110.FormShow(Sender: TObject);
begin
if sonido then mediaplayerfg.play;
end;

procedure TFormfg110.FormCreate(Sender: TObject);
begin
{Screen.cursors[CR]:=cur;
SensitiveMap1.Cursor_alt:=CR;
SensitiveMap1.Situar_Cuadro(17,16,176,148,'Lector de intensidad',label1);
SensitiveMap1.Situar_Cuadro(237,16,396,147,'Lector de voltaje',label2);}
end;

procedure TFormfg110.Volver1Click(Sender: TObject);
begin
if panelabierto then
       Application.MessageBox('Cierre antes el panel frontal.', 'El panel está abierto',
                                      MB_ICONEXCLAMATION)
else
if cuestionesabiertas then
       Application.MessageBox('Cierre antes la ventana de cuestiones.', 'Las cuestiones están abiertas',
                                      MB_ICONEXCLAMATION)
else
     fg110ppal;
end;

procedure TFormfg110.FormClose(Sender: TObject; var Action: TCloseAction);
begin
if panelabierto then begin
   Action := caNone;
   Application.MessageBox('Cierre antes el panel frontal.', 'El panel está abierto',
                                  MB_ICONEXCLAMATION)
end
else
if cuestionesabiertas then begin
   Action:=caNone;
   Application.MessageBox('Cierre antes la ventana de cuestiones.', 'Las cuestiones están abiertas',
                                      MB_ICONEXCLAMATION)
end
else
     fg110ppal;
end;

procedure TFormfg110.Panelfrontal1Click(Sender: TObject);
begin
if panelabierto=false then
   begin
   panelabierto:=true;
   fg110frontpanel;
   end
end;

procedure TFormfg110.Cuestiones1Click(Sender: TObject);
begin
if cuestionesabiertas = false then
   begin
   cuestionesabiertas := true;
   fg110cuestiones;
   end
end;

end.
